The Silent Cartographer: Evolved

Halo: Combat Evolved mod |

Follow 42

TSC:E makes use of Open Sauce, a community-made game extension that enables many new features, from upgraded visuals to new gameplay mechanics. Open Sauce is required to play TSC:E -- the map can't exist without it. The map requires Open Sauce version 4.0 (or newer). Open Sauce 4.0 requires a properly-installed copy of Halo Custom Edition, updated to 1.10.

The Silent Cartographer: Evolved (v1.1a)

Related to Full Version

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: